# Python essentials
In this week, we will cover the essentials of Python. On Monday, the lecture will discuss the differences between Python and R and their relative (dis)advantages. The first two tutorials (`Introduction to Python` and `Python basics`) will introduce you to the basics of Jupyter notebooks, Python syntax, and the concept of object-oriented programming. The next three notebooks will discuss plotting using the package [matplotlib](https://matplotlib.org/) (`Introduction to Matplotlib`), working with tabular data using [pandas](https://pandas.pydata.org/) (`Introduction to Pandas`), and working with array data using [numpy](https://numpy.org/) (`Introduction to Numpy`).

The *numpy* tutorial is **optional** (i.e., its contents won't be featured on the exam/assignments), but highly recommended for those wanting to develop more advanced data analysis skills (which are useful for, e.g., machine learning and neuroimaging research).

## Lecture slides
< EMBED LECTURE SLIDES HERE >

Note that all tutorial from this week are written in Jupyter notebooks, which are meant to be used interactively. Run them online using Binder or Jupyterhub, or run them on your own computer using your own Python installation.

Let's start with [the first Python tutorial](../solutions/week_1/0_introduction.ipynb)!