# How to continue with Python?
After going through all tutorial from week 1, you should know the basics of Python and how to leverage it for data preprocessing, analysis, and visualization! There is, of course, much more to learn about Python. What about [creating your own Python packages](https://packaging.python.org/)? Or using one of the many [excellent machine learning libraries](https://www.geeksforgeeks.org/best-python-libraries-for-machine-learning/) in Python? Or [building websites in Python](https://flask.palletsprojects.com)?

[This article](https://www.apa.org/science/about/psa/2019/07/python-research) on the APA blog outlines some excellent places to continue your Python journey. There are also plenty of books about learning Python, nicely summarized [here](https://realpython.com/best-python-books/). Personally, I also find the articles on [Real Python](https://realpython.com/) very insightful. If you're more a hands-on type, there are many online Python courses available, such as the [Python specialization](https://www.coursera.org/specializations/python) on Coursera. Note that most of the online courses on machine learning also use Python (such as [machine learning specialization](https://www.coursera.org/specializations/machine-learning) on Coursera), which may also be a nice way to develop your Python skills further. Note that, as a student, you may be eligible for [financial aid](https://learner.coursera.help/hc/en-us/articles/209819033-Apply-for-Financial-Aid-or-a-Scholarship) for Coursera courses.

Finally, probably the best way to get better at Python is *to actually use it in a project*! So, whenever you have to program an experiment, analyse some data, or create a plot, consider using Python!

