# How to continue with PsychoPy?
In this course, you learned the basics of stimulus presentation using PsychoPy, but PsychoPy has many more awesome features than we had time to discuss (including creating online experiments). Their [resources page](https://www.psychopy.org/resources/resources.html) features an extensive collection of materials that you may use to extend your PsychoPy skills!

One resource we particularly like is the book written by Jonathan Peirce (PsychoPy's creator) and Michael MacAskill: [Building Experiments in PsychoPy](https://uk.sagepub.com/en-gb/eur/building-experiments-in-psychopy/book253480). Apart from practical information about the PsychoPy software, it also contains several informative chapters about stimulus presentation in general.

```{image} ../img/psychopy_book.jpg
:alt: PsychoPy book
:class: bg-primary
:width: 200px
:align: center
```

Also, for some shameless self-promotion, if you're comfortable with object-oriented programming in Python, you may want to check out the [exptools2](https://github.com/VU-Cog-Sci/exptools2) Python package. This package is built on top of the PsychoPy package to facilitate accurate (psychophysics and neuroimaging) experiments.

